当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : XAMPP:新手架设php开发环境首选(相当简单)
帖子发表于 : 2006-10-19 11:45 

注册: 2006-08-26 17:27
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
最近在网上找php+mysql+apache的架设方法,无意间找到XAMPP这个套件。对于想架设php环境无疑是首选。

以下是官网的介绍
许多人通过他们自己的经验认识到安装 Apache 服务器是件不容易的事儿。如果您想添加 MySQL、PHP 和 Perl,那就更难了。

XAMPP 是一个易于安装且包含 MySQL、PHP 和 Perl 的 Apache 发行版。XAMPP 的确非常容易安装和使用:只需下载,解压缩,启动即可。

到目前为止,XAMPP 共有以下四种版本:


适用于 Linux 的 XAMPP
适用于 Linux 系统的发行版(已在 Ubuntu、SuSE, RedHat, Mandrake 和 Debian 下通过测试)。其中包含:Apache、MySQL、PHP & PEAR、Perl、ProFTPD、phpMyAdmin、OpenSSL、GD、Freetype2、libjpeg、libpng、gdbm、zlib、expat、Sablotron、libxml、Ming、Webalizer、pdf class、ncurses、mod_perl、FreeTDS、gettext、mcrypt、mhash、eAccelerator、SQLite 和 IMAP C-Client。
适用于 Windows 的 XAMPP
适用于 Windows 98、NT、2000 和 XP 的发行版。该版本包括:Apache、MySQL、PHP + PEAR、Perl、mod_php、mod_perl、mod_ssl、OpenSSL、phpMyAdmin、Webalizer、Mercury Mail Transport System for Win32 and NetWare Systems v3.32、JpGraph、FileZilla FTP Server、mcrypt、eAccelerator、SQLite 和 WEB-DAV + mod_auth_mysql。
适用于 Mac OS X 的 XAMPP
适用于 Mac OS X 的发行版包括:Apache、MySQL、PHP & PEAR、SQLite、Perl、ProFTPD、phpMyAdmin、OpenSSL、GD、Freetype2、libjpeg、libpng、zlib、Ming、Webalizer、mod_perl、eAccelerator、phpSQLiteAdmin。
警告:该版本 XAMPP 尚处于开发的第一阶段。使用时风险自担!

适用于 Solaris 的 XAMPP
适用于 Solaris 的发行版(在 Solaris 8 环境下开发并测试,在 Solaris 9 下通过测试)包括:Apache、MySQL、PHP & PEAR、Perl、ProFTPD、phpMyAdmin、OpenSSL、Freetype2、libjpeg、libpng、zlib、expat、Ming、Webalizer、pdf class。
警告:该版本 XAMPP 尚处于开发的第一阶段。使用时风险自担!

XAMPP 是免费的
我们不喜欢定价过高的商业软件,所以我们尝试以 XAMPP 来证明免费软件也能有好的表现。



XAMPP 在 Linux 下安装很容易:Apache、MySQL、PHP 和 Perl 以最佳方式整合在一起(图为 PHP/Ming 在 Linux 下的屏幕演示截图) 易于安装和卸载
您只需下载并解压 XAMPP 就能完成安装,且对 Windows 的注册表不做任何改动(但使用 XAMPP 的 Windows 安装包时除外),您也无需编辑任何配置文件。没有更简单的方法了吧!
软件包中包含了一些范例程序可供检测 XAMPP 是否正在运行:一个小型 CD 收集程序(基于 PHP 和 MySQL)、一个小型留言本程序(用 Perl 写成)和另外几个示例工具。

如果您觉得不再需要 XAMPP 了,只需直接将其目录删除,就完成卸载了。

如果您使用 XAMPP 的 Windows 安装包,建议您调用系统的“添加或删除程序”功能执行卸载。这是因为每种安装文件在执行安装过程时都会在注册表中留下痕迹,XAMPP 的安装包也不例外。


理念
XAMPP 背后的理念,是为想进入 Apache 世界的开发者提供一套易于安装的发行版。为了方便开发者,XAMPP 被默认配置为所有功能全部开启。
从安全的角度看,默认配置并不理想,对生产环境也不够安全——请勿在此类环境中使用 XAMPP。

从 LAMPP 0.9.5 开始,您可以通过调用 »/opt/lampp/lampp security« 使 XAMPP 更安全。


网站地址:http://www.apachefriends.org/zh_cn/xampp.html


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-10-30 13:27 

注册: 2005-09-17 8:53
帖子: 23
送出感谢: 0 次
接收感谢: 0 次
太好了.这正是我需要的
我也是在网上搜索apt-get install apache php mysql 的时候发现楼主这个介绍的,然后就确定XAMPP正是我所需要的.

我寻找apache2+php5+mysql5找了好久,配置都很复杂,而且自己配置的时候都出现好多问题,很头疼.
现在好了,有了XAMPP.呵呵
谢谢楼主!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-11-10 6:57 

注册: 2006-11-06 13:21
帖子: 19
地址: 广东/东莞
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get apache2 mysql-server php4 php4-gd php4-mysql phpmyadmin


or


sudo apt-get apache2 mysql-server php5 php5-gd php5-mysql phpmyadmin

安装最为简单!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-01-11 4:01 

注册: 2006-03-21 3:03
帖子: 87
送出感谢: 0 次
接收感谢: 0 次
是阿,这个很好用,安装方便


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-01-11 8:30 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
在ubuntu里面安装lamp根本不需要这么麻烦.ubuntu已经内置了方便的安装方法. 请查看 英文网站的wiki上的apache条目.


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-03-05 17:04 
头像

注册: 2007-01-24 22:07
帖子: 1417
地址: http://adqin.cn
送出感谢: 0 次
接收感谢: 0 次
xampp真是不错,他适合用于开发,而真正要配置服务器,我们还是得自己好好配置。
Ubuntu论坛里关于配置PHP环境的大都基于实用服务器,我们新手看时是一头雾水。
配置不好,我们也无法学习PHP开发。真的很郁闷。幸亏有XAMPP,一步就解决问题。

网上也有很多关于此的资料:我收藏有两篇

http://www.apachefriends.org/zh_cn/index.html(XAMPP官方站点,有多个语言版,资料详细)
http://www.ibm.com/developerworks/cn/linux/l-xampp/


_________________
时光流转 淘帮帮 淘宝推荐 潼南网 你问我答


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-03-29 1:08 

注册: 2007-03-24 14:26
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
非常赞同楼上的观点,不管是刚入门还是配置过,xamp都很容易能实现快速开发.
不知道xamp2.0会是什么样子.期待
ps:在linux下安装xamp出错的机会远远小于在win下:)


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-03-29 11:26 

注册: 2007-02-15 6:26
帖子: 356
送出感谢: 0 次
接收感谢: 1
我的ubuntu已经装了Lamp。如果装xampp会冲突吗?
是否要卸载?

我的ubuntu实在“菜”透。不知如何卸载的。

我发现xampp里有一个sqlite好用么?官方网站无screenshot。

前几天开始作一个mysql client for ubuntu。对我来说,实在艰难。30%作好了。如果sqlite好用的话。实在不该浪费时间。


_________________
2007:琉璃地,旃檀林。心心作。念念是。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-04-01 9:03 
头像

注册: 2007-01-24 22:07
帖子: 1417
地址: http://adqin.cn
送出感谢: 0 次
接收感谢: 0 次
sqlfm 写道:
我的ubuntu已经装了Lamp。如果装xampp会冲突吗?
是否要卸载?

我的ubuntu实在“菜”透。不知如何卸载的。

我发现xampp里有一个sqlite好用么?官方网站无screenshot。

前几天开始作一个mysql client for ubuntu。对我来说,实在艰难。30%作好了。如果sqlite好用的话。实在不该浪费时间。


应该是没有冲突的。但同时只能用一个。即是用一个停止另一个的服务。


_________________
时光流转 淘帮帮 淘宝推荐 潼南网 你问我答


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-04-24 9:05 

注册: 2006-06-05 14:22
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
不错 正好配置一下


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-04-30 9:54 

注册: 2007-02-15 6:26
帖子: 356
送出感谢: 0 次
接收感谢: 1
真是老土:sqlite 也是数据库Server.

我的MySQL Sidu v1.0 于2007.04.25成功发表了。欢迎使用。

MySQL Sidu v1.1 可望在农历四月初一以前发布。


_________________
2007:琉璃地,旃檀林。心心作。念念是。


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-05-29 18:40 
头像

注册: 2006-09-02 21:41
帖子: 124
地址: 江苏南京
送出感谢: 0 次
接收感谢: 0 次
up!
不错,以前用的是appsvr的安装包,是在win下的
不知道这个怎么样,回去试试


_________________
http://www.iviai.com.cn
C2.6/384M DDR266/Samsung80G+ST160G/MMX44064bit64M/DVD-rw


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-06-08 1:35 

注册: 2007-02-05 20:17
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
有一个问题就是,xampp 只能用as root启动么,如果只能用root启动的话,怎么用eclipse里的按键设置和停止呢?

还有因为从eclipse 里好像只能给出启动文件,比如win的xampp是start.exe stop.exe等等
而ubuntu里,是lamp命令行,有没有同样问题的朋友??


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2007-10-21 16:11 
头像

注册: 2007-09-13 9:04
帖子: 44
地址: china
送出感谢: 0 次
接收感谢: 0 次
web编程不知道有没有一个比较系统的书阿,那位大哥知道的话,给招呼声!~~~~


_________________
============================

人无我有,于之; =
人有我无,夺之; =
人有我有,弃之? =

============================


页首
 用户资料  
 
15 楼 
 文章标题 : 支持下
帖子发表于 : 2007-11-08 15:32 

注册: 2007-11-08 14:46
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
支持下 :oops:


_________________
http://www.name-destiny.cn


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译